package cn.superdesk.uniorder.dubbo.facade.unified.settlement;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.unified.settlement.UnifiedSettlementProgramme;
import cn.superdesk.uniorder.dto.param.operationCenter.customer.OperationCenterCustomerParam;
import cn.superdesk.uniorder.dto.param.operationCenter.customer.settlement.UnifiedSettlementParam;
import cn.superdesk.uniorder.dto.vo.operationCenter.customer.OperationCenterCustomerVo;
import cn.superdesk.uniorder.dto.vo.operationCenter.customer.settlement.UnifiedSettlementVo;

import java.util.List;

public interface DubboUnifiedSettlementProgrammeService {
    UnifiedSettlementProgramme findById(Long id);

    R<String> saveUnifiedSettlement(UnifiedSettlementParam param, Long sysUserId);

    R<String> updateUnifiedSettlement(UnifiedSettlementParam param, Long sysUserId);

    R<List<UnifiedSettlementVo>> list(OperationCenterCustomerParam param);

    R<UnifiedSettlementParam> get(Long id);

    R<String> delete(Long id);

    R<String> enabled(Long id);

    R<String> setDefault(Long id);
}
